/* 
 * File:   LCD8.h
 * Author: chengo_cc
 *
 * Created on 29 December 2015, 2:54 PM
 *
 */

#ifndef LCD8_H
//------------------------------------------------------------------------------
#include "prototypes.h"
//------------------------------------------------------------------------------
void LCD_init()
{
  PORT_dir = 0;
  RS_dir   = 0;
  EN_dir   = 0;

  LCD_command(display_on);
  LCD_command(function_set);
  LCD_command(auto_increment);
}
//------------------------------------------------------------------------------
void LCD_data(char data)
{
  RS = 1;           //Data register
  PORT = data;
  latch();
}
//------------------------------------------------------------------------------
void LCD_command(char command)
{
  RS = 0;           //Instruction register
  PORT = command;
  latch();
}
//------------------------------------------------------------------------------
void LCD_string(unsigned int row,unsigned int column,char text[])
{
  LCD_command(screenPos[row][column]);  //Set co-ordinates.
  while(*text)
  {
    LCD_data(*text++);
  }
}
//------------------------------------------------------------------------------
void LCD_character(unsigned int row,unsigned int column,char character)
{
  LCD_command(screenPos[row][column]);
  LCD_data(character);
}
//------------------------------------------------------------------------------
void latch()
{
  EN  = 1;
  delay(1);
  EN  = 0;
}
//------------------------------------------------------------------------------
#define	LCD8_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* LCD8_H */